Subject: [bug#60358] [PATCH v3 2/2] gnu: guile-gnutls: Update to 3.7.11.

From: Simon Josefsson <[email-masked]>
Date: Thu, 29 Dec 2022 17:14:32 +0100

Vivien Kraus <[email-masked]> writes:

>> That sounds worse than
>> having to download copies of gnulib when building a Guix package
> From what I understand, the idea in guix would be: yes that would be
> horrible, the solution is for every project to use the same version of
> gnulib!

That won't happen and is impossible -- while I don't have an example, in
general you can't build an old version of, say, coreutils with today's
gnulib, or expect that a future version of coreutils will work with
today's gnulib.  I'm sure trying old enough coreutils, or some other
project that use gnulib, will come up with an example that breaks the
build (or produce incorrect results).

/Simon